Subject: RE: [hackers-il] New in Google

From: "Arik Baratz" <[email-masked]>
Date: Thu, 26 Dec 2002 17:11:34 +0200

> -----Original Message-----
> From: Nadav Har'El [mailto:[email-masked]]
[snip]
> I suggest that we should add to the "Siddur" a prayer for the 
> well-being
> of the company Google :) Wouldn't it be sad if it went 
> belly-up, like the
> rest of the "dot-com" companies?

I think that Google has been 'in the black' for a while now. They have a good business model, and it seems to work. They are a private company, though, so their balance is not published.

One aspect of Google that most people don't know about is the advertising system - the one that puts those boxes on the right and the sponsored links on top. The system is very smart and versatile. It asks you for a description of your product or service, and builds a list of search words all by itself. It lets you select words, and decide how much you want to pay for each word. The order of boxes on the right and the links on top is determined by the price you pay for that word! You can actually go and change the cost for the word and outbid your competitors for the first place.

Then they give you feedback on how many views your ads were viewed, or how many times people clicked on your link, and what their search words were, aggregated, so you can decide which words have more impact and concentrate your efforts in there.

Amazing. It's like having an advertising office at the tips of your fingers, without any human intervention on Google's side. It's just amazing.

If you want to check it out, I suggest you run a 5$ campaign advertising http://www.xenu.net as the source for Scientology information. Consider it a donation to a worthy cause, and an opportunity to check out the google system.

-- Arik